Bug 1126168 - SELinux is preventing alsactl from 'add_name' accesses on the directory asound.state.lock.
Summary: SELinux is preventing alsactl from 'add_name' accesses on the directory asoun...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3babb722d03523e37ce6060cc67...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 00:58 UTC by Insang Ryu
Modified: 2014-08-04 06:45 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.13.1-69.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-04 06:45:30 UTC


Attachments (Terms of Use)

Description Insang Ryu 2014-08-03 00:58:56 UTC
Description of problem:
SELinux is preventing alsactl from 'add_name' accesses on the directory asound.state.lock.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that alsactl should be allowed add_name access on the asound.state.lock directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep alsactl /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:alsa_t:s0
Target Context                system_u:object_r:var_lock_t:s0
Target Objects                asound.state.lock [ dir ]
Source                        alsactl
Source Path                   alsactl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-67.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.16.0-0.rc7.git2.2.fc22.1.x86_64
                              #1 SMP Wed Jul 30 21:51:31 UTC 2014 x86_64 x86_64
Alert Count                   9
First Seen                    2014-08-02 08:26:07 KST
Last Seen                     2014-08-03 09:58:07 KST
Local ID                      8aaa6f46-a2a6-4e11-88a6-a7a7ef89cc52

Raw Audit Messages
type=AVC msg=audit(1407027487.736:501): avc:  denied  { add_name } for  pid=466 comm="alsactl" name="asound.state.lock" scontext=system_u:system_r:alsa_t:s0 tcontext=system_u:object_r:var_lock_t:s0 tclass=dir permissive=0


Hash: alsactl,alsa_t,var_lock_t,dir,add_name

Version-Release number of selected component:
selinux-policy-3.13.1-67.fc22.noarch

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.16.0-0.rc7.git2.2.fc22.1.x86_64
type:           libreport


Note You need to log in before you can comment on or make changes to this bug.